<?php
/**
 * @var \App\View\AppView $this
 * @var iterable<\Cake\Datasource\EntityInterface> $contactUsFormSubmissions
 */
?>
<div class="contactUsFormSubmissions index content">
    <h3><?= __('Contact Us Form Submissions') ?></h3>
    <div class="table-responsive">
        <table>
            <thead>
                <tr>
                    <th><?= $this->Paginator->sort('id') ?></th>
                    <th><?= $this->Paginator->sort('submitted_at') ?></th>
                    <th><?= $this->Paginator->sort('client_ip') ?></th>
                    <th><?= $this->Paginator->sort('name') ?></th>
                    <th><?= $this->Paginator->sort('email') ?></th>
                    <th><?= $this->Paginator->sort('subject') ?></th>
                    <th><?= $this->Paginator->sort('confirm_email_sent') ?></th>
                    <th><?= $this->Paginator->sort('backend_email_sent') ?></th>
                    <th class="actions"><?= __('Actions') ?></th>
                </tr>
            </thead>
            <tbody>
                <?php foreach ($contactUsFormSubmissions as $contactUsFormSubmission): ?>
                <tr>
                    <td><?= h($contactUsFormSubmission->id) ?></td>
                    <td><?= h($contactUsFormSubmission->submitted_at) ?></td>
                    <td><?= h($contactUsFormSubmission->client_ip) ?></td>
                    <td><?= h($contactUsFormSubmission->name) ?></td>
                    <td><?= h($contactUsFormSubmission->email) ?></td>
                    <td><?= h($contactUsFormSubmission->subject) ?></td>
                    <td><?= h($contactUsFormSubmission->confirm_email_sent) ?></td>
                    <td><?= h($contactUsFormSubmission->backend_email_sent) ?></td>
                    <td class="actions">
                        <?= $this->Html->link(__('View'), ['action' => 'view', $contactUsFormSubmission->id]) ?>
                        <?= $this->Html->link(__('Edit'), ['action' => 'edit', $contactUsFormSubmission->id]) ?>
                        <?= $this->Form->postLink(__('Delete'), ['action' => 'delete', $contactUsFormSubmission->id], ['confirm' => __('Are you sure you want to delete # {0}?', $contactUsFormSubmission->id)]) ?>
                    </td>
                </tr>
                <?php endforeach; ?>
            </tbody>
        </table>
    </div>
    <div class="paginator">
        <ul class="pagination">
            <?= $this->Paginator->first('<< ' . __('first')) ?>
            <?= $this->Paginator->prev('< ' . __('previous')) ?>
            <?= $this->Paginator->numbers() ?>
            <?= $this->Paginator->next(__('next') . ' >') ?>
            <?= $this->Paginator->last(__('last') . ' >>') ?>
        </ul>
        <p><?= $this->Paginator->counter(__('Page {{page}} of {{pages}}, showing {{current}} record(s) out of {{count}} total')) ?></p>
    </div>
</div>
