<?php
/**
 * @var \App\View\AppView $this
 * @var \Cake\Datasource\EntityInterface $contactUsFormSubmission
 */
?>
<div class="row">
    <aside class="column">
        <div class="side-nav">
            <h4 class="heading"><?= __('Actions') ?></h4>
            <?= $this->Html->link(__('Edit Contact Us Form Submission'), ['action' => 'edit', $contactUsFormSubmission->id], ['class' => 'side-nav-item']) ?>
            <?= $this->Form->postLink(__('Delete Contact Us Form Submission'), ['action' => 'delete', $contactUsFormSubmission->id], ['confirm' => __('Are you sure you want to delete # {0}?', $contactUsFormSubmission->id), 'class' => 'side-nav-item']) ?>
            <?= $this->Html->link(__('List Contact Us Form Submissions'), ['action' => 'index'], ['class' => 'side-nav-item']) ?>
        </div>
    </aside>
    <div class="column column-80">
        <div class="contactUsFormSubmissions view content">
            <h3><?= h($contactUsFormSubmission->name) ?></h3>
            <table>
                <tr>
                    <th><?= __('Id') ?></th>
                    <td><?= h($contactUsFormSubmission->id) ?></td>
                </tr>
                <tr>
                    <th><?= __('Client Ip') ?></th>
                    <td><?= h($contactUsFormSubmission->client_ip) ?></td>
                </tr>
                <tr>
                    <th><?= __('Name') ?></th>
                    <td><?= h($contactUsFormSubmission->name) ?></td>
                </tr>
                <tr>
                    <th><?= __('Email') ?></th>
                    <td><?= h($contactUsFormSubmission->email) ?></td>
                </tr>
                <tr>
                    <th><?= __('Subject') ?></th>
                    <td><?= h($contactUsFormSubmission->subject) ?></td>
                </tr>
                <tr>
                    <th><?= __('Submitted At') ?></th>
                    <td><?= h($contactUsFormSubmission->submitted_at) ?></td>
                </tr>
                <tr>
                    <th><?= __('Confirm Email Sent') ?></th>
                    <td><?= h($contactUsFormSubmission->confirm_email_sent) ?></td>
                </tr>
                <tr>
                    <th><?= __('Backend Email Sent') ?></th>
                    <td><?= h($contactUsFormSubmission->backend_email_sent) ?></td>
                </tr>
            </table>
            <div class="text">
                <strong><?= __('Message') ?></strong>
                <blockquote>
                    <?= $this->Text->autoParagraph(h($contactUsFormSubmission->message)); ?>
                </blockquote>
            </div>
        </div>
    </div>
</div>
